%define upstream_name    Net-Telnet-Cisco
%define upstream_version 1.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:	Net-Telnet-Cisco Perl module
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl(Net::Telnet)
Buildarch:	noarch


%description
Net::Telnet::Cisco adds additional functionality to 
Net::Telnet that helps you automate Cisco router management
and statistic gathering.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test < /dev/null

%install
%make_install

%files
%doc Changes README TODO
%{perl_vendorlib}/Net/Telnet/*
%{perl_vendorlib}/auto/Net/Telnet/*
%{_mandir}/*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.110.0-4.mga8
+ Revision: 1505609
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.110.0-3.mga7
+ Revision: 1285237
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.110.0-2.mga7
+ Revision: 1165993
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 1.110.0-1.mga7
+ Revision: 1157262
- fix build dependencies
- new version 1.11

* Sun Jun 19 2016 pterjan <pterjan> 1.100.0-8.mga6
+ Revision: 1031332
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1.100.0-7.mga6
+ Revision: 932554
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-6.mga5
+ Revision: 740059
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.0-5.mga5
+ Revision: 685738
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.100.0-4.mga4
+ Revision: 513628
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-3.mga3
+ Revision: 370930
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.100.0-2.mga1
+ Revision: 29471
- no meta.yml
- rebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 13633
- imported package perl-Net-Telnet-Cisco


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.100.0-1mdv2010.0
+ Revision: 404248
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.10-5mdv2009.0
+ Revision: 241804
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 1.10-3mdv2008.0
+ Revision: 25196
- rebuild


* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.10-2mdk
- Fix SPEC according to Perl Policy
	- Source URL
	- URL
- use mkrel

* Tue Feb 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.10-1mdk
- 1.10

